###########################################################################
# SECTION: Access Control Setup
#
#   This section defines who is allowed to talk to your running
#   snmp agent.

# rwuser: a SNMPv3 read-write user
#   arguments:  user [noauth|auth|priv] [restriction_oid]

rwuser  private  

# rouser: a SNMPv3 read-only user
#   arguments:  user [noauth|auth|priv] [restriction_oid]

rouser  public  

# rocommunity: a SNMPv1/SNMPv2c read-only access community name
#   arguments:  community [default|hostname|network/bits] [oid]

rocommunity  public  

# rwcommunity: a SNMPv1/SNMPv2c read-write access community name
#   arguments:  community [default|hostname|network/bits] [oid]

rwcommunity  private 
 
###########################################################################
# Proxy entire tree by remapping to OID
###########################################################################

# proxy [-Cn CONTEXTNAME] [SNMPCMD_ARGS] HOST OID [REMOTEOID]
proxy -v 2c -c demopublic test.net-snmp.org .1.4 .1.3

###########################################################################
# Proxy using context mapping
###########################################################################

# com2sec [-Cn CONTEXT] SECNAME SOURCE COMMUNITY
com2sec -Cn ctx_myswitch notConfigUser default cmty_myswitch

# view VNAME TYPE OID [MASK]
view allview included .1.3

# access GROUP CONTEXT {any|v1|v2c|usm|tsm|ksm} LEVEL PREFX READ WRITE NOTIFY
access notConfigGroup ctx_myswitch any noauth exact allview none none

# proxy [-Cn CONTEXTNAME] [SNMPCMD_ARGS] HOST OID [REMOTEOID]
proxy -Cn ctx_myswitch -v 2c -c demopublic test.net-snmp.org .1.3

###########################################################################
# Notes
